## visad.data.fits
Class ConvertDoubleArray

    java.lang.Object
      visad.data.fits.ConvertArray
          visad.data.fits.ConvertDoubleArray

public class ConvertDoubleArray
extends ConvertArray

Field Summary

Fields inherited from class visad.data.fits.ConvertArray
`lengths`

Constructor Summary
`ConvertDoubleArray(FlatField fld)`
`ConvertDoubleArray(int[] lengths, double[][] values)`

Method Summary
`(package private) int` `analyzeArray()`

Methods inherited from class visad.data.fits.ConvertArray
`getArrayType, getConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertDoubleArray

    public ConvertDoubleArray(FlatField fld)
                       throws VisADException

### ConvertDoubleArray

    public ConvertDoubleArray(int[] lengths,
                              double[][] values)
                       throws VisADException

Method Detail

### analyzeArray

    int analyzeArray()

  Specified by:
    `analyzeArray` in class `ConvertArray`